Bug 1431168 - Dashbord and Report information not filtered by Tenancy
Summary: Dashbord and Report information not filtered by Tenancy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: GA
: 5.7.2
Assignee: Libor Pichler
QA Contact: Pavol Kotvan
URL:
Whiteboard:
Depends On: 1418961
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-10 14:11 UTC by Satoe Imaishi
Modified: 2020-06-11 13:24 UTC (History)
12 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1418961
Environment:
Last Closed: 2017-04-12 14:34:05 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-10 14:36:00 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/33a86fa1bdd848d86c60599a45d180d28489e201

commit 33a86fa1bdd848d86c60599a45d180d28489e201
Author:     Keenan Brock <keenan@thebrocks.net>
AuthorDate: Fri Mar 3 14:36:55 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Mar 10 09:23:53 2017 -0500

    Merge pull request #14041 from lpichler/add_rbac_for_rss_feed
    
    Add RBAC for rss feeds
    (cherry picked from commit 6eea12732de8a704a75d21040476e81597d0dccf)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1431168

 app/models/miq_widget/rss_content.rb     |  8 +++---
 app/models/rss_feed.rb                   | 11 ++++++--
 product/alerts/rss/newest_vms.yml        |  2 +-
 spec/models/rss_feed/data/newest_vms.yml |  2 +-
 spec/models/rss_feed/rss_feed_spec.rb    | 45 ++++++++++++++++++++++++++++++++
 5 files changed, 60 insertions(+), 8 deletions(-)

Comment 3 CFME Bot 2017-03-10 14:36:07 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/997b55cb7fa847993d81c379def3dd77077e520e

commit 997b55cb7fa847993d81c379def3dd77077e520e
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Tue Mar 7 16:05:03 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Mar 10 09:33:53 2017 -0500

    Merge pull request #14095 from lpichler/add_rbac_to_resouces_for_perfomance_reports
    
    Add tenant scoping for resources of performance reports in RBAC
    (cherry picked from commit f46d363c250b386a9783dc10e6a98bb8e4413442)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1431168

 lib/rbac/filterer.rb             | 26 +++++++++++++++++---------
 spec/factories/vm_performance.rb |  5 +++++
 spec/lib/rbac/filterer_spec.rb   | 16 ++++++++++++++++
 3 files changed, 38 insertions(+), 9 deletions(-)
 create mode 100644 spec/factories/vm_performance.rb

Comment 6 errata-xmlrpc 2017-04-12 14:34:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.